

cd [path of file qualimatch.dat ]

wfopen(type=text) qualimatch.dat 
wfdetails

'variables for the basline matching function
VAC_SA.label 					registered vacancies
alo_ba_sa.label 				registered unemployment

alo_ba_sa.displayname 	Unemployment
VAC_SA.displayname 		Vacancies

alo_sa.label 					unemployment from SIAB Data
ue_sa.label 					matches (transitions: unemployment to emplyoment) from SIAB Data
jfr_sa.label 					job finding rate
jfr_sa.displayname 			Job Finding Rate

'controle variabels
q_alo_alt.label 			Share of old people on the unemployed
q_alo_jung.label 			Share of young people on the unemployed
q_alo_for.label 			Share of people without geman citizenship on the unemployed
q_alo_fem.label 			Share of females on the unemployed
q_alo_lowskill.label 	Share of low qualified people on the unemployed

q_alo_alt.displayname 			Share of old people on the unemployed
q_alo_jung.displayname 			Share of young people on the unemployed
q_alo_for.displayname 			Share of people without geman citizenship on the unemployed
q_alo_fem.displayname 			Share of females on the unemployed
q_alo_lowskill.displayname 		Share of low qualified people on the unemployed


'quality measures
w_uneq_o_sa.label 	Equality of Original Wages
w_p50_o_sa.label  		Original Median Wage
w_uneq_c_sa.label 		Equality of Adjusted Wages
w_p50_c_sa.label 		Adjusted Median Wage

w_uneq_o_sa.displayname 	Equality of Original Wages
w_p50_o_sa.displayname 		Original Median Wage
w_uneq_c_sa.displayname 		Equality of Adjusted Wages
w_p50_c_sa.displayname 		Adjusted Median Wage

wp10p50uwh_sa.label Equality of Adjusted Wages (controled for unobserved heterogeneity)
w_p50uwh_sa.label 	Adjusted Median Wage (controled for unobserved heterogeneity)

'**************

'preparing variables for estimating the matching function
smpl @all
' matches (source SIAB)
genr ln_m =log (ue_sa)
'unemployment (source SIAB)
genr ln_u =log (alo_sa)	
'registered vacancies
genr ln_v =log (vac_sa)

' standardizing the quality measures (log deviations from median)
series ln_uneq_c=log(w_uneq_c_sa)
series dev_lnuneq = ln_uneq_c + 0.579845

series  ln_w_p50_c =log (w_p50_c_sa)
series dev_lnw_p50  = ln_w_p50_c-3.807779

series  ln_uneq_uwh=log(wp10p50uwh_sa)
series  dev_lnunequwh=ln_uneq_uwh+0.443897

series ln_w_p50_uwh=log(w_p50uwh_sa)
series dev_lnw_p50uwh=ln_w_p50_uwh- 3.779715

smpl @all
'Dummy for Hartz-refoms: d2003 d2004 d2005
genr d2003 = 0
genr d2004 = 0
genr d2005 = 0
smpl 2003m1 2017m12
genr d2003 = 1
smpl 2004m1 2017m12
genr d2004 = 1
smpl 2005m1 2017m12
genr d2005 = 1

smpl @all

' generating graphs
'Figure 1 Unemployment and Vacancies
group gr_uv vac_sa alo_ba_sa
freeze(graph_uv) gr_uv.line
	graph_uv.setelem(1) axis(r)
	graph_uv.axis(r) units(k)
	graph_uv.axis(l) units(k)
	graph_uv.label Figure 1 Unemployment and Vacancies

'Figure 2 Job Finding Rate
freeze(graph_jfr) jfr_sa.line
	graph_jfr.label Figure 2 Job Finding Rate

'Figure 3 Median Wage and Wage Equality
group gr_wage  w_uneq_o_sa w_p50_o_sa w_uneq_c_sa w_p50_c_sa
freeze(graph_wage ) gr_wage.line
	graph_wage.setelem(1) axis(r) 
	graph_wage.setelem(3) axis(r) 
	graph_wage.label Figure 3 Median Wage and Wage Equality


' Estimation of the main results 

' baseline estimation
equation match1.ls ln_m-ln_u(-1) c log(alo_ba_sa(-1)) ln_v(-1) d2003 d2004 d2005 q_alo_alt(-1) q_alo_fem(-1) q_alo_for(-1) q_alo_jung(-1) q_alo_lowskill(-1) 
	match1.label  Baseline estimation of the matching function

'estimaition with measures for wage and wage inequality
equation match2.ls ln_m-ln_u(-1) c log(alo_ba_sa(-1)) ln_v(-1) d2003 d2004 d2005 q_alo_alt(-1) q_alo_fem(-1) q_alo_for(-1) q_alo_jung(-1) q_alo_lowskill(-1) dev_lnw_p50 dev_lnuneq
	match2.label  Estimaition of the matching function with measures for wage and wage inequality


'robustnes checks in appendix

'only wage measure
equation match_a1.ls ln_m-ln_u(-1) c log(alo_ba_sa(-1)) ln_v(-1) d2003 d2004 d2005 q_alo_alt(-1) q_alo_fem(-1) q_alo_for(-1) q_alo_jung(-1) q_alo_lowskill(-1)  dev_lnuneq
	match_a1.label Appendix: Estimaition of the matching function, only wage measure
'only inequality measure

equation match_a2.ls ln_m-ln_u(-1) c log(alo_ba_sa(-1)) ln_v(-1) d2003 d2004 d2005 q_alo_alt(-1) q_alo_fem(-1) q_alo_for(-1) q_alo_jung(-1) q_alo_lowskill(-1) dev_lnw_p50 
	match_a2.label Appendix: Estimaition of the matching function, only inequality measure

'with linear trend
equation match_a3.ls ln_m-ln_u(-1) c log(alo_ba_sa(-1)) ln_v(-1) d2003 d2004 d2005 q_alo_alt(-1) q_alo_fem(-1) q_alo_for(-1) q_alo_jung(-1) q_alo_lowskill(-1) dev_lnw_p50 dev_lnuneq @trend
	match_a3.label Appendix: Estimaition of the matching function, with linear trend

'from 1995 on
smpl 1995m1 2017m12
equation match_a4.ls ln_m-ln_u(-1) c log(alo_ba_sa(-1)) ln_v(-1) d2003 d2004 d2005 q_alo_alt(-1) q_alo_fem(-1) q_alo_for(-1) q_alo_jung(-1) q_alo_lowskill(-1) dev_lnw_p50 dev_lnuneq
	match_a4.label Appendix: Estimaition of the matching function, from 1995 on
'until 2008
smpl 1992m1 2008m12
equation match_a5.ls ln_m-ln_u(-1) c log(alo_ba_sa(-1)) ln_v(-1) d2003 d2004 d2005 q_alo_alt(-1) q_alo_fem(-1) q_alo_for(-1) q_alo_jung(-1) q_alo_lowskill(-1) dev_lnw_p50 dev_lnuneq
	match_a5.label Appendix: Estimaition of the matching function, until 2008

'wage and wage inequality controles for unobserved worker heterogeneity
smpl 1992m1 2017m12
equation match_a6.ls ln_m-ln_u(-1) c log(alo_ba_sa(-1)) ln_v(-1) d2003 d2004 d2005 q_alo_alt(-1) q_alo_fem(-1) q_alo_for(-1) q_alo_jung(-1) q_alo_lowskill(-1) dev_lnw_p50uwh dev_lnunequwh
	match_a6.label Appendix: Estimaition of the matching function, wage and wage inequality adjusted for unobserved worker heterogeneity


